%define 	module migrate
Summary:	Schema migration tools for SQLAlchemy
Summary(pl.UTF-8):	Narzędzia do migracji struktury bazy dla SQLAlchemy
Name:		python-sqlalchemy-%{module}
Version:	0.5.4
Release:	4
License:	MIT
Group:		Development/Languages/Python
Source0:	http://sqlalchemy-migrate.googlecode.com/files/sqlalchemy-%{module}-%{version}.tar.gz
# Source0-md5:	7ad9e6d6dd6df701fc596bcb87380271
URL:		http://code.google.com/p/sqlalchemy-migrate/
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-SQLAlchemy >= 0.5.1
Requires:	python-decorator >= 3.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Schema migration tools for SQLAlchemy, designed to support an agile approach to database design, and make it easier to keep development and production databases in sync, as schema changes are required.

%description -l pl.UTF-8
Narzędzia migracji struktury bazy danych dla SQLAlchemy, zaprojektowane aby wspierać sprawne projektowanie i ułatwiać utrzymanie wersji rozwojowych i produkcyjnych baz danych w synchornizacji w miare zmian ich struktury.

%prep
%setup -q -n sqlalchemy-%{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/migrate
%attr(755,root,root) %{_bindir}/migrate-repository

## %doc AUTHORS CREDITS ChangeLog NEWS README THANKS TODO
##%{py_sitedir}/*.py[co]
## %attr(755,root,root) %{py_sitedir}/*.so
%{py_sitescriptdir}/%{module}
##%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/sqlalchemy_migrate-*.egg-info
##%endif
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sqlalchemy-migrate.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a4843cf
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8f393b0
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 893540f
- release 3

* Mon Nov 16 2009 zbyniu <zbyniu@pld-linux.org> 987ea57
- BR: python-setuptools

* Mon Jul 06 2009 Mateusz Korniak <matkor@pld-linux.org> 69a1726
- R: python-decorator

* Sun Jul 05 2009 Mateusz Korniak <matkor@pld-linux.org> 1cb78bb
- Initial 0.5.4-0.1

